const webpackDevServer = require('webpack-dev-server');
const webpack = require('webpack');
const config = require('./webpack.config.js');

const options = {
  hot: true,
  host: '0.0.0.0',
  overlay: { // 这里配置 html 页面是否显示 eslint 错误信息蒙版
    errors: true,
    warnings: true,
  },
};

webpackDevServer.addDevServerEntrypoints(config, options);
const compiler = webpack(config);
const server = new webpackDevServer(compiler, options);

server.listen(8071, 'localhost', () => {
  console.log('dev server listening on port 8079');
});
