import styles from './style.scss'

const ChartTable = (props) => {

  const {list} = props;

  if (!list || list.length == 0) {
    return (<div className={styles.noData}>
      <p>没有数据</p>
    </div>)
  }
  return (<div className={styles['car-table-box']}>
    <table className={styles.ChartTable}>
      <tbody>
        {
          list.map((item, i) => {

            return (<tr key={i}>
              {
                item.map((item1, j) => {
                  return (<td key={j}>{item1}</td>)
                })
              }
            </tr>)
          })
        }
      </tbody>
    </table>
  </div>)
}
export default ChartTable
