const getTime = (value) => {
  if (!value)
    return null;
  let date = value.split('-');
  let [y, m, d] = date;
  y = y
    ? y
    : dt.getFullYear();
  m = m
    ? parseInt(m) - 1
    : 0;
  d = d
    ? parseInt(d)
    : 1;

  let temp = new Date(y, m, d).getTime();
  return temp;
}

const getJidu = (value) => {
  value = + value;
  let j;
  if (value < 3) {
    j = 'Q1'
  } else if (value >= 3 && value < 6) {
    j = 'Q2'
  } else if (value >= 6 && value < 9) {
    j = 'Q3'
  } else if (value > 9 && value <= 12) {
    j = 'Q4'
  }
  return j
}

const defaultValue = (value) => {
  //如果没有默认值就默认当前时间
  if (!value) {
    let dt = new Date();
    let year = dt.getFullYear()
    let month = dt.getMonth() + 1;
    let quarter = getJidu(month);
    month = month > 9
      ? month
      : `0${month}`;
    return {
      year: `${year}`,
      month: `${year}-${month}`,
      quarter: `${year}-${quarter}`
    }
  }
  let temp = value.split('-');
  let [y1, m1, d1] = temp;
  let j1 = getJidu(m1);
  return {
    year: `${y1}`,
    month: `${y1}-${m1}`,
    quarter: `${y1}-${j1}`
  }
}
export default {getTime, defaultValue}
