import React, { Component } from 'react'
import PropTypes from 'prop-types'
import styles from './index.scss'
import { Checkbox } from 'antd';
class MulItem extends Component {
    constructor(props, content) {
        super(props);
        this.state = {
            checkNick: false,
        }
    }

    render() {
        const { checkNick } = this.state;
        let temp = {};
        for (let x in this.props) {
            if (/^data\-\w+/.test(x)) {
                temp[x] = JSON.stringify(this.props[x])
            }
        }

        return (
            <li
                className={`${styles['car-dorpdown-item']} car-bg-secend-hover__vi`}
                {...temp}
                data-drop='select'
            >
                <Checkbox
                    data-drop='select'
                    value={this.props.value}>
                    {this.props.children}
                </Checkbox>
            </li>
        )
    }
}
export default MulItem;
