import {Fragment} from 'react';
import PropTypes from 'prop-types';
const Icon = (props) => {
  let {type, clm, onClick, style} = props;

  clm = clm === undefined
    ? ''
    : clm;
  return (
    <Fragment>
      <i style={{...style}}
         className={`iconfont icon-${type} ${clm}`}
         onClick={onClick} />
    </Fragment>
  )
}

Icon.propTypes = {
  type: PropTypes.string.isRequired,
  clm: PropTypes.string,
  style: PropTypes.object
};

export default Icon;
