import React, { Component } from 'react';
import styles from './index.scss';
class SelectItem extends Component {
    constructor(props, content) {
        super(props);
    }
    checkChange = (e, v) => {
        const { onChange } = this.props;
        if (onChange) {
            onChange(e.target.checked, v);
        }
    }
    render() {
        const { item } = this.props;
        return (
            <li>
                <label>
                    <input type='checkbox' onChange={(e) => this.checkChange(e, item.key)}></input>
                </label>
                <span>{item.title}</span>
            </li>)
    }
}

SelectItem.defaultProps = {
    item: {},
}
export default SelectItem
