//添加事件
function addEvent(obj, type, fn) { //obj目标对象,type事件类型,fn函数回调
  if (typeof obj.addEventListener !== 'undefined') { //W3C 标准
    obj.addEventListener(type, fn, false); //type事件名称,fn执行函数,false捕获
  } else if (typeof obj.attachEvent !== 'undefined') { //IE
    obj.attachEvent('on' + type, fn);
    fn.call(obj, window.event); //对象冒充
  }
}

//删除事件
function removeEvent(obj, type, fn) {
  if (typeof obj.removeEventListener !== 'undefined') {
    obj.removeEventListener(type, fn, false);
  } else if (typeof obj.detachEvent !== 'undefined') {
    obj.detachEvent('on' + type);
  }
}

export default {addEvent, removeEvent}
