import styles from './style.scss';

const Tag = (props) => {
  const { value, color } = props;

  let _w = value.length;
  let _c =  (70 - (_w * 8)) / 2;

  return (
    <span className={styles.tag}>
      <svg
        height={30}
        width={70}
        className={styles.xingzhuang}
      >
        <polygon
          stroke="#B2E2FF"
          fill="#fff"
          points="10,0 60,0 60,10 70,10 35,30 0,10 10,10"
        />
      </svg>
      <span className={styles['text']}>{value}</span>
    </span>
  );
};

export default Tag;
