var events = {};

// 绑定事件
const setEvent = (key, callback) => {
  events[key] = callback
}

const getEvent = (key) =>{
  return events[key]
}

// 触发事件
const triggerEvent = (key, option, option1) => {
  events[key](option, option1)
}

// 清除指定事件
const clearTargetEvent = (key) => {
  delete events[key]
}

// 清除所有事件
const clearEvent = () => {
  events = {}
}

export {
  getEvent,
  setEvent,
  triggerEvent,
  clearEvent,
  clearTargetEvent
}
