

```javascript
    filterChange = (val) => {
        //这里返回了所有筛选参数，可以在这里切换数据，更新option，从而更新图表
        console.log('----chart--pro--filterChange----', val);
    }
    addToCart = (item) => {
        //这里请求接口上传图片，加入购物车列表， item图片base64
        console.log('----cart--item----', item);
    }
    render() {
        const { hei, load } = this.state
        const filters = [
            [
                { title: 'ff1', value: 1, key: 'ff1' },
                { title: 'ff2', value: 2, key: 'ff1' }
            ],
            [
                { title: 'ff3', value: 3, key: 'ff2' },
                { title: 'ff4', value: 4, key: 'ff2' },
            ]
        ];
        const downTypes = [1, 2, 3, 4, 5, 6, 7];
        const downParam = {
            excelUrl: '1111',
            imgName: '我是测试图表',
            imgId: '2222',
            addToCart: this.addToCart
        }
        const queryId = 'chart1';
        return (
            <div className="pageCon">
                <div className="pageTitle">
                    图表 ChartPro(集成了标题，筛选，下载，添加购物车，loading，暂无数据)
                </div>
                <h4 className="pageTitle2">示例：</h4>
                <ChartPro
                    key={queryId}
                    title={'我是标题'}
                    type={'chart'}//children
                    titleType={2}
                    option={option}
                    filters={filters}
                    downTypes={downTypes}
                    filterChange={this.filterChange}
                    downParam={downParam}
                    loading={false}
                    chartStyle={{ height: 400, width: '100%' }}>
                    <div>
                        <p>我是测试图表！！！！</p>
                    </div>
                </ChartPro>
                <div className="markdown-body" dangerouslySetInnerHTML={{ __html: bmd }}>
                </div>
            </div>)
    }

}

```
### ChartPro
参数|说明|类型|默认值
--|:--:|--:|--:
type|图表类型，区分haighchart图表，children图表，表格，必填|string|chart（highchart图），children（自定义内容），table（表格） 
title|图表标题。必填|string|无
titleType|表格头部布局类型，必填|number|1(sales布局)/2（车智库布局）
option|option数据，为null时展示暂无数据，必填|any|无
filters|表格筛选条件，非必填|object[]|无
filterChange|筛选条件改变时回调，返回所有选中对象，非必填|function|无
downTypes|下载类型，非必填|number[]|无
downParam|下载所需参数，非必填|any|无
loading|loading状态，true时展示loading状态，非必填|boolean|false
chartStyle|图表部分样式，可以用来设置图高度等，非必填|{}|无

