import { Component } from "react";
import { Button, Icon, ButtonGroup, Dorpdown, DorpItem } from "../../vi";
import ChartC from "_c/ChartPro";
const bmd = require("./chartPro.md");
let option = {
  credits: {
    enabled: false,
  },
  exporting: {
    enabled: false,
  },
  title: {
    text: null,
  },
  colors: [
    "#00A9FF",
    "#FF7437",
    "#00D0C7",
    "#FFC641",
    "#FE73A5",
    "#6DDA81",
    "#5D75FF",
    "#4CD1EF",
    "#9AADFF",
    "#FFA03D",
  ],
  chart: {
    marginRight: 30,
    spacingLeft: 10,
    backgroundColor: "transparent",
    type: "areaspline",
  },
  plotOptions: {
    line: {
      marker: {
        radius: 4,
        fillColor: "#fff",
        lineColor: null,
        lineWidth: 2,
      },
    },
    spline: {
      marker: {
        radius: 4,
        fillColor: "#fff",
        lineColor: null,
        lineWidth: 2,
      },
    },
    area: {
      marker: {
        symbol: "self_circle",
        radius: 4,
        fillColor: "#fff",
        lineColor: null,
        lineWidth: 2,
      },
      lineWidth: 2,
      states: {},
      threshold: null,
    },
    areaspline: {
      marker: {
        symbol: "self_circle",
        radius: 4,
        fillColor: "#fff",
        lineColor: null,
        lineWidth: 2,
      },
      lineWidth: 2,
      states: {},
      threshold: null,
    },
    boxplot: {
      borderWidth: 0,
      borderRadius: 5,
      maxPointWidth: 12,
      minPointWidth: 12,
      fillColor: null,
      lineColor: null,
      lineWidth: 0,
      medianColor: "#fff",
      medianWidth: 1,
      stemColor: null,
      stemDashStyle: "sloid",
      stemWidth: 1,
      whiskerColor: null,
      whiskerWidth: 1,
    },
    column: {
      borderWidth: 0,
      borderRadius: 5,
      maxPointWidth: 12,
      minPointWidth: 12,
    },
    series: {
      marker: {
        enabled: false,
        symbol: "circle",
      },
      states: {
        inactive: false,
      },
      point: {},
    },
  },
  xAxis: {
    lineWidth: 1,
    lineColor: "#EDF0F1",
    tickWidth: 0,
    endOnTick: true,
    labels: {
      style: {
        color: "#666",
        fontSize: "12px",
        fontWeight: 400,
      },
      useHTML: true,
    },
    title: {
      style: {
        color: "#666",
        fontSize: "12px",
        fontWeight: 400,
      },
      align: "high",
      y: -18,
      x: 30,
    },
    categories: [
      "2020-07-15",
      "2020-07-16",
      "2020-07-17",
      "2020-07-18",
      "2020-07-19",
      "2020-07-20",
      "2020-07-21",
      "2020-07-22",
      "2020-07-23",
      "2020-07-24",
      "2020-07-25",
      "2020-07-26",
      "2020-07-27",
      "2020-07-28",
      "2020-07-29",
      "2020-07-30",
      "2020-07-31",
    ],
  },
  yAxis: {
    allowDecimals: false,
    useHTML: true,
    labels: {
      useHTML: true,
      style: {
        color: "#666",
        fontSize: "12px",
        fontWeight: 400,
      },
    },
    title: {
      text: null,
      style: {
        color: "#666",
        fontSize: "12px",
        fontWeight: 400,
      },
      align: "high",
      rotation: 0,
      offset: -10,
      y: -20,
    },
    lineWidth: 0,
    gridLineDashStyle: "dash",
    gridLineWidth: 1,
    gridLineColor: "rgba(170, 185, 208, 0.2)",
    min: 0,
  },
  legend: {
    align: "center",
    verticalAlign: "top",
    itemMarginBottom: 20,
    squareSymbol: false,
    symbolHeight: 12,
    symbolWidth: 26,
    symbolRadius: 6,
    itemStyle: {
      color: "#333333",
      cursor: "pointer",
      fontSize: "14px",
      fontWeight: "normal",
    },
  },
  series: [
    {
      fillColor: {
        linearGradient: {
          x1: 0,
          y1: 0,
          x2: 0,
          y2: 1,
        },
        stops: [
          [0, "rgba(0,169,255,0.1)"],
          [1, "rgba(0,169,255,0)"],
        ],
      },
      id: "650",
      name: "目标",
      data: [
        {
          y: 4631,
        },
        {
          y: 9266,
        },
        {
          y: 13756,
        },
        {
          y: 18570,
        },
        {
          y: 22979,
        },
        {
          y: 27516,
        },
        {
          y: 32037,
        },
        {
          y: 36621,
        },
        {
          y: 41505,
        },
        {
          y: 46380,
        },
        {
          y: 51200,
        },
        {
          y: 56139,
        },
        {
          y: 61063,
        },
        {
          y: 66096,
        },
        {
          y: 71249,
        },
        {
          y: 76200,
        },
        {
          y: 81049,
        },
      ],
      dashStyle: "ShortDash",
    },
    {
      fillColor: {
        linearGradient: {
          x1: 0,
          y1: 0,
          x2: 0,
          y2: 1,
        },
        stops: [
          [0, "rgba(255,116,55,0.1)"],
          [1, "rgba(255,116,55,0)"],
        ],
      },
      id: "651",
      name: "执行",
      data: [
        {
          y: 6804,
          gap: 0,
          wnum: 0,
        },
        {
          y: 13811,
          gap: 0,
          wnum: 0,
        },
        {
          y: 19060,
          gap: 0,
          wnum: 0,
        },
        {
          y: 24518,
          gap: 0,
          wnum: 0,
        },
        {
          y: 30142,
          gap: 0,
          wnum: 0,
        },
        {
          y: 34720,
          gap: 0,
          wnum: 0,
        },
        {
          y: 39304,
          gap: 0,
          wnum: 0,
        },
        {
          y: 43614,
          gap: 0,
          wnum: 0,
        },
        {
          y: 48155,
          gap: 0,
          wnum: 0,
        },
        {
          y: 52846,
          gap: 0,
          wnum: 0,
        },
        {
          y: 57941,
          gap: 0,
          wnum: 0,
        },
        {
          y: 62950,
          gap: 0,
          wnum: 0,
        },
        {
          y: 67202,
          gap: 0,
          wnum: 0,
        },
        {
          y: 74670,
          gap: 0,
          wnum: 0,
        },
        {
          y: 81436,
          gap: 0,
          wnum: 0,
        },
        {
          y: 86833,
          gap: 0,
          wnum: 0,
        },
        {
          y: 92767,
          gap: 0,
          wnum: 0,
        },
      ],
    },
    {
      fillColor: {
        linearGradient: {
          x1: 0,
          y1: 0,
          x2: 0,
          y2: 1,
        },
        stops: [
          [0, "rgba(0,208,199,0.1)"],
          [1, "rgba(0,208,199,0)"],
        ],
      },
      id: "652",
      name: "预警",
      data: [
        {
          y: null,
        },
        {
          y: null,
        },
        {
          y: null,
        },
        {
          y: null,
        },
        {
          y: null,
        },
        {
          y: null,
        },
        {
          y: null,
        },
        {
          y: null,
        },
        {
          y: null,
        },
        {
          y: null,
        },
        {
          y: null,
        },
        {
          y: null,
        },
        {
          y: null,
        },
        {
          y: null,
        },
        {
          y: null,
        },
        {
          y: null,
        },
        {
          y: null,
        },
      ],
      color: "#ff1300",
      showInLegend: false,
    },
  ],
  preFucType: "base",
};
class Ct extends Component {
  state = {
    hei: 1000,
    load: true,
  };
  filterChange = (val) => {
    //这里返回了所有筛选参数，可以在这里切换数据，更新option，从而更新图表
    console.log("----chart--pro--filterChange----", val);
  };
  sorterChange = (v1, v2, v3) => {
    console.log("-----sorterChange-----", v1, v2, v3);
  };
  addToCart = (item) => {
    //这里请求接口上传图片，加入购物车列表， item图片base64
    console.log("----cart--item----", item);
  };
  render() {
    const { hei, load } = this.state;
    const downTypes = [1, 2, 3, 4, 5, 6, 7];
    const downParam = {
      downUrl: "1111",
      imgName: "我是测试图表",
      imgId: "2222",
      addToCart: this.addToCart,
    };
    const CC = function(params) {
      const { drillChange, chartEvent, a, color } = params;
      return (
        <div
          style={{
            backgroundColor: color,
            color: "#fff",
            fontSize: 20,
            textAlign: "center",
            fontWeight: "bolder",
            lineHeight: "400px",
          }}
        >
          我是子组件{a}
        </div>
      );
    };
    const queryId = "chart1";
    return (
      <div className="pageCon">
        <div className="pageTitle">
          图表 ChartPro(集成了标题，筛选，下载，添加购物车，loading，暂无数据)
        </div>
        <h4 className="pageTitle2">示例：</h4>
        <div>
          <ChartC
            key={queryId}
            title={"我是标题"}
            downParam
            type={"chart"} // children
            titleType={1}
            downTypes={[2, 5]}
            option={option}
            loading={false}
            chartChildren={CC}
            chartStyle={{ height: 500, border: "1px solid #ff1300" }}
          >
            {CC}
          </ChartC>
        </div>

        <div
          className="markdown-body"
          dangerouslySetInnerHTML={{ __html: bmd }}
        />
      </div>
    );
  }
}

export default Ct;
