const CHARTS = [
    {
        zh: "查询",
        en: "Search",
        germany: "Filtern",
    }, {
        zh: "按月查看",
        en: "By month",
        germany: "Monat",
    }, {
        zh: "按日查看",
        en: "By Day",
        germany: "Tag",
    }, {
        zh: "按周查看",
        en: "By Week",
        germany: "Woche",
    }, {
        zh: "下载",
        en: "Download",
        germany: "Download",
    }, {
        zh: "下载Excel表格格式",
        en: "Download Excel",
        germany: "Excel Tabelle",
    }, {
        zh: "下载PNG图片格式",
        en: "Download PNG",
        germany: "PNG Format",
    }, {
        zh: "至",
        en: "to",
        germany: "bis ",
    },

    {
        zh: "01月",
        en: "Jan",
        germany: "Jan",
    }, {
        zh: "02月",
        en: "Feb",
        germany: "Feb",
    }, {
        zh: "03月",
        en: "Mar",
        germany: "Mär",
    }, {
        zh: "04月",
        en: "Apr",
        germany: "Apr",
    }, {
        zh: "05月",
        en: "May",
        germany: "Mai",
    }, {
        zh: "06月",
        en: "Jun",
        germany: "Jun",
    }, {
        zh: "07月",
        en: "Jul",
        germany: "Jnl",
    }, {
        zh: "08月",
        en: "Aug",
        germany: "Aug",
    }, {
        zh: "09月",
        en: "Sept",
        germany: "Sep",
    }, {
        zh: "10月",
        en: "Oct",
        germany: "Okt",
    }, {
        zh: "11月",
        en: "Nov",
        germany: "Nov",
    }, {
        zh: "12月",
        en: "Dec",
        germany: "Dez",
    }, {
        zh: "一",
        en: "Mon",
        germany: "Mo",
    }, {
        zh: "二",
        en: "Tue",
        germany: "Di",
    }, {
        zh: "三",
        en: "Wed",
        germany: "Mi",
    }, {
        zh: "四",
        en: "Thu",
        germany: "Do",
    }, {
        zh: "五",
        en: "Fri",
        germany: "Fr",
    }, {
        zh: "六",
        en: "Sat",
        germany: "Sa",
    }, {
        zh: "日",
        en: "Sun",
        germany: "So",
    }, {
        zh: "退出",
        en: "Sign Out",
        germany: "Beenden",
    }, {
        zh: "个人中心",
        en: "My Account",
        germany: "Persönliche Einstellungen",
    }, {
        zh: "展开",
        en: "Show More",
        germany: "Mehr anzeigen",
    }, {
        zh: "收起",
        en: "Hide",
        germany: "Weniger anzeigen",
    }, {
        zh: "车型选择",
        en: "Select model",
        germany: "Zielmodell auswählen",
    }, {
        zh: "竞品选择",
        en: "Select competing model",
        germany: "Vergleichsmodell auswählen",
    }, {
        zh: "选择时间",
        en: "Select Period",
        germany: "Zeitraum",
    }, {
        zh: "选择区域按区域",
        en: "Select RegionBy Region",
        germany: "Region auswählen ",
    }, {
        zh: "已选条件",
        en: "Selected Filters",
        germany: "Ausgewählte Filter",
    }, {
        zh: "营销漏斗",
        en: "Sales Funnel",
        germany: "Verkaufstrichter",
    }, {
        zh: "漏斗图",
        en: "Funnel Diagram",
        germany: "Verkaufstrichter: Graphen/Tabellen",
    }, {
        zh: "关注层",
        en: "Awareness Level",
        germany: "Follower: Online-Traffic",
    }, {
        zh: "兴趣层",
        en: "Interest Level",
        germany: "Aufmerksamkeit",
    }, {
        zh: "线索层",
        en: "Intent Level",
        germany: "Onlinesuche",
    }, {
        zh: "漏斗现状",
        en: "Sales Funnel Status",
        germany: "Verkaufstrichter-Status",
    }, {
        zh: "漏斗趋势",
        en: "Sales Funnel Trends",
        germany: "Verkaufstrichter-Entwicklung",
    }, {
        zh: "关注人数",
        en: "Users with Awareness",
        germany: "Anzahl-Follower",
    }, {
        zh: "兴趣人数",
        en: "Users with Interest",
        germany: "Allg. Interesse （News, Bewertungen, etc.)",
    }, {
        zh: "线索人数",
        en: "Users with Intent",
        germany: "Suchanfragen",
    }, {
        zh: "线索数量",
        en: "Intent Count",
        germany: "Suchanfragen gesamt",
    }, {
        zh: "关注转化率",
        en: "Awareness Conversion Rate",
        germany: "Follower Conversion Rate",
    }, {
        zh: "兴趣转化率",
        en: "Interest Conversion Rate",
        germany: "Suche Conversion Rate",
    }, {
        zh: "意向转化率",
        en: "Intent Conversion Rate",
        germany: "Allg. Interesse Conversion Rate",
    }, {
        zh: "市占率",
        en: "Market Share",
        germany: "Marktanteile",
    }, {
        zh: "绝对值",
        en: "Absolute Value",
        germany: "Absoluter Wert",
    }, {
        zh: "转化率",
        en: "Conversion Rate",
        germany: "Conversion Rate",
    }, {
        zh: "关注趋势",
        en: "Awareness Trends",
        germany: "Follower-Trend",
    }, {
        zh: "关注构成",
        en: "Awareness Factor",
        germany: "Follower-Aufstellung",
    }, {
        zh: "车型首页",
        en: "Model Homepage",
        germany: "Fahrzeug-Webpage",
    }, {
        zh: "产品库",
        en: "Product Library",
        germany: "Fahrzeug-Produktübersicht",
    }, {
        zh: "其他",
        en: "Other",
        germany: "Andere",
    }, {
        zh: "明细内容",
        en: "Details",
        germany: "Details",
    }, {
        zh: "兴趣趋势",
        en: "Interest Trends",
        germany: "Such-Trends",
    }, {
        zh: "兴趣构成趋势",
        en: "Interest Factor Trends",
        germany: "Such-Trends: Aufstellung",
    }, {
        zh: "自定义配置",
        en: "Custom Configuration",
        germany: "Erweiterte Einstellungen",
    }, {
        zh: "Top10选装配件",
        en: "Top 10 Optional Accessories",
        germany: "Top 10 optionale Ausstattungen",
    }, {
        zh: "热门配置项",
        en: "Top Configuration Items",
        germany: "Meist ausgewählte Extras",
    }, {
        zh: "线索趋势",
        en: "Intent Trends",
        germany: "Online-Suche: Trends",
    }, {
        zh: "线索构成",
        en: "Intent Factor",
        germany: "Online-Suche: Aufstellung ",
    }, {
        zh: "经销商线索",
        en: "Dealer Leads",
        germany: "Händler-Leads",
    }, {
        zh: "经销商名称",
        en: "Dealer Name",
        germany: "Händlername",
    }, {
        zh: "全名称搜索",
        en: "Full Name Search",
        germany: "Nach Namen suchen",
    }, {
        zh: "账号",
        en: "Username",
        germany: "Account",
    }, {
        zh: "密码",
        en: "Password",
        germany: "Passwort",
    }, {
        zh: "验证码",
        en: "Verification Code",
        germany: "Captcha",
    }, {
        zh: "登录",
        en: "Sign In",
        germany: "Login",
    }, {
        zh: "用户名或密码错误",
        en: "Incorrect username or password",
        germany:
            "FalscherFalscher BenutzernameBenutzername oderoder falschesfalsches PasswortPasswort",
    }, {
        zh: "请输入验证码",
        en: "Please enter username and password",
        germany:
            "BitteBitte gebengeben SieSie denden BestBestäätigungscodetigungscode einein",
    }, {
        zh: "验证码输入错误",
        en: "Incorrect verification code",
        germany:
            "FehlerFehler beibei derder EingabeEingabe desdes BestBestäätigungscodestigungscodes",
    }, {
        zh: "请输入账号",
        en: "Please enter username",
        germany: "Bitte geben Sie den Account-Namen ein",
    }, {
        zh: "请输入密码",
        en: "Please enter password",
        germany: "Bitte geben Sie das Passwort ein",
    },
];

export default CHARTS;
