

```javascript
<MenuNew
    key={`menunew`}
    canCollapsed={true}
    defaultActiveSub={['k1', 'k3']}
    defaultActiveItem={'i1'}>
     <MenuItemNew
        icon={item.icon || ''}
        key={`menunewitem${i}`}
        val={`m${i}`}>
        <Link val={'i1'} to={item.url}>{item.name}</Link>
    </MenuItemNew>          
 </MenuNew>
```
### Menu
参数|说明|类型|默认值
--|:--:|--:|--:
canCollapsed|是否启用收起功能，非必填|boolean|false
defaultActiveSub|默认展开子菜单，非必填|number[]|[]
defaultActiveItem|默认选中菜单，非必填|number|无
collapsedChange|菜单收起状态改变时回调,返回展开状态，布尔值，非必填|function|无

### MenuItem
参数|说明|类型|默认值
--|:--:|--:|--:
val|子菜单唯一标识，必填|number|无/ 
icon|子菜单icon，当此字子菜单没有父级时必填，非必填|string|无（车智云图标库classname）

### SubeMenuItem
参数|说明|类型|默认值
--|:--:|--:|--:
val|菜单唯一标识，必填|number|无 
icon|菜单图标，必填|string|无（车智云图标库classname）
title|菜单标题，必填|string|无

