import SelectBox from '_c/SelectBox';
import { Component } from 'react';
import testList from './data';
import testList1 from './data1';
const bmd = require('./sall.md');
class Chart extends Component {

  state = {
    active: false
  }

  setList = () => {
    this.setState(state => ({ active: !state.active }));
  }
  render() {
    const { active } = this.state;

    let temp = active ? testList : testList1;
    return (
      <div className="pageCon" >
        <div className="pageTitle">
          全部车系
        </div>
        <h4 className="pageTitle2">示例：</h4>
        <SelectBox
          change={(value) => { console.log(value); }}
          defaultValue={{
            name: '别克',
            id: '30'
          }}
          list={temp}
          descript="选择车系"
          style={{ width: '205px' }}
        />
        <div className="markdown-body" dangerouslySetInnerHTML={{ __html: bmd }} />
      </div >)
  }
}

export default Chart
