import styles from './style.scss'
import { Link } from 'react-router-dom'
import MenuNew from '_c/MenuNew'
import SubMenuNew from '_c/MenuNew/SubMenu'
import MenuItemNew from '_c/MenuNew/MenuItem'
const navList = [
  // add
  {
    name: 'Uvn',
    url: '/uvn',
    icon: 'UVNB-'
  },
  {
    name: '五线分析 Fiveline',
    url: '/FiveLine',
    icon: 'Line-Chart',
  },
  // {
  //   name: '战败分析 Loss',
  //   url: '/Loss',
  //   icon: 'ziyuanhuizong'
  // },
  {
    name: '流失分析LossNew',
    url: '/LossNew',
    icon: 'ziyuanhuizong'
  },
  {
    name: '漏斗图 Funnel',
    url: '/funnel',
    icon: 'loudoutu1'
  },
  {
    name: '版本选择',
    url: '/compound',
    icon: 'inspection_car'
  },
  {
    name: '日期 Dates',
    url: '/date',
    icon: 'datetimepickerbt'
  },
  {
    name: 'DatePro',
    url: '/datePro',
    icon: 'datetimepickerbt'
  }
  , {
    name: '全部车系',
    url: '/SelectBox',
    icon: 'chexing'
  }, {
    name: '图表 Chart',
    url: '/chart',
    icon: 'chart'
  },
  {
    name: '图表 ChartPro',
    url: '/chartPro',
    icon: 'chart'
  }, {
    name: '菜单 Menu',
    url: '/menu',
    icon: 'caidan'
  }, {
    name: '按钮 Button',
    url: '/button',
    icon: 'ziyuanhuizong'
  }, {
    name: '按钮组 ButtonGroup',
    url: '/buttonGroup',
    icon: 'huakuai',
    icon: 'ziyuanhuizong'
  },
  {
    name: '下拉菜单 DropDown',
    url: '/dropDown',
    icon: 'xialakuangbiaodan'
  }
  , {
    name: '图标 Icon',
    url: '/Icon',
    icon: 'duobaozhuanqu-'
  }, {
    name: '下拉选择 Select',
    url: '/select',
    icon: 'select'
  }, {
    name: '标签页 Tabs',
    url: '/tabs',
    icon: 'tabs-1'
  }, {
    name: '标签 Tag',
    url: '/tag',
    icon: 'tag'
  },
  {
    name: '品牌车系版本',
    url: '/SeriesListWithSpec',
    icon: 'tag'
  }
]


function test() {
  console.log('-----test-----')
}


const Shell = (props) => {
  const { children } = props;
  return (<section className={styles.shell}>
    <div className={styles.header}>
      <h1>carhome</h1>
    </div>
    <div className={styles.body}>
      <nav className={styles.bodySilder} style={{ height: '100%', background: '#26282F', overflow: 'auto' }}>
        <MenuNew
          key={`menunew`}
          canCollapsed={true}
          defaultActiveSub={['k1', 'k3']}
          defaultActiveItem={'i1'}>
          {
            navList.map((item, i) => {
              return (
                <MenuItemNew
                  icon={item.icon || ''}
                  key={`menunewitem${i}`}
                  val={`m${i}`}>
                  <Link val={'i1'} to={item.url}>{item.name}</Link>
                </MenuItemNew>)
            })
          }
        </MenuNew>
      </nav>
      <section className={styles.bodyMain} id='mainBox'>
        {children}
      </section>
    </div>
  </section>)
}

export default Shell
