import Funnel from '_c/funnel'
const bmd = require('./funnel.md');
const Funnels = () => {
  return (
    <div className="pageCon">
      <div className="pageTitle">
        漏斗图
      </div>
      <h4 className="pageTitle2">示例：</h4>
      <Funnel
        offsetX={12.5}
        width={400}
        height={250}
        lables={['关注人数', '兴趣人数', '线索人数']}
        tables={{
          heads: ['清洗前', '清洗后'],
          bodys: [
            [{ value: '44.55%' }, { value: '123' }, { value: '123' }, { value: '123' }, { value: '123' }, { value: '123' }],
            [{ value: '44.55%', type: 1 }, { value: '123' }, { value: '123' }, { value: '123' }, { value: '123' }, { value: '123' }],
            [{ value: '123' }, { value: '123' }, { value: '123' }, { value: '123' }, { value: '123' }, { value: '123' }],
            [{ value: '123%', type: 2 }, { value: '123' }, { value: '123' }, { value: '123' }, { value: '123' }, { value: '123' }],
            [{ value: '123' }, { value: '123' }, { value: '123' }, { value: '123' }, { value: '123' }, { value: '123' }],
          ]
        }}
      />
      <div className="markdown-body" dangerouslySetInnerHTML={{ __html: bmd }} />
    </div>
  )
}

export default Funnels;
