/*
  功能： 用于检测对象中是否存在未定义或者为null的值
  @obj : 被检测的对象 【Object】
  @k: 用于检测对象中那些属性， 【Array】
*/
function checkObject(obj, k){
  let temps = k.map( item => obj[k]);
  let active = temps.every( value => value == undefined || value == null);
  return active
}
export default checkObject
