const webpack = require("webpack");
const library = "[name]_lib";
const path = require("path");

module.exports = {
  entry: {
    vendors: [
      "react",
      "lodash",
      "antd",
      "highcharts",
      "3d-a",
      "html2canvas",
      "canvg",
      "pbl-gjh",
    ],
  },

  output: {
    filename: "[name].dll.js",
    path: "/dist",
    library,
  },

  plugins: [
    new webpack.DllPlugin({
      context: __dirname,
      path: path.join(__dirname, "manifest.json"),
      // This must match the output.library option above
      name: library,
    }),
  ],
};
