module.exports = {
  "extends": "airbnb",
  "plugins": [
    "react"
  ],
  "rules": {
    // allow paren-less arrow functions
    "arrow-parens": 0,
    // allow async-await
    "generator-star-spacing": 0,
    // allow  during development
    "no-": process.env.NODE_ENV === "production" ? 2 : 0,
    "semi": ["error", "always"],
    "space-before-function-paren": ["error", "never"],
    "no-useless-computed-key": 0,
    // for jsx
    "react/jsx-filename-extension": [0]
  }
};