import React, {Component} from 'react'
import PropTypes from 'prop-types'
import styles from './index.scss'

class DorpItem extends Component {
  constructor(props, content) {
    super(props);
    this.handleClick = this.handleClick.bind(this);
  }
  handleClick() {

    if (this.props.onClick) {
      this.props.onClick.call(this, this.props.children);
    }
    this.props.setDropdown();
  }
  render() {

    let temp = {};
    for (let x in this.props) {
      if (/^data\-\w+/.test(x)) {
        temp[x] = JSON.stringify(this.props[x])
      }
    }

    return React.createElement('li', {
      className: `${styles['car-dorpdown-item']} car-bg-secend-hover__vi`,
      onClick: this.handleClick,
      ...temp
    }, this.props.children)
  }
}
export default DorpItem
