import styles from '../styles.scss';
import Icon from '../../Icon';
const SelectMore = (props) => {
  const {size, value, close, labs, describe} = props;

  let count = value.length;

  const showBox = () => {
    if (typeof value == 'string') {
      count = 0;
    }
    if (count === size) {
      return ""
    }
    let temp = size - count;
    let arr = [];
    for (let i = 0; i < temp; i++) {
      arr.push(<b key={i}></b>)
    }
    return arr
  }
  const showValue = () => {
    if (count > 0 && typeof value == 'object') {
      return value.map((item, i) => {
        return (<span key={i}>{item}<Icon type={'guanbi'} onClick={close.bind(this, i)}/></span>)
      })
    }
    return ""
  }

  return (<div className={styles.multis}>
    <span>
      {labs}
      {
        describe == true
          ? ''
          : <em>/</em>
      }
    </span>
    <div className={styles.multi}>
      {showValue()}
      {showBox()}
    </div>
  </div>)
}
export default SelectMore;
