import styles from './style.scss';

const Arrow = (props) => {
  const {type} = props;

  return (
    <div className={styles['arrow']}>
      <div className={styles['a-left']}></div>
      <div className={styles['a-conter-top']}></div>
      {type && <div className={styles['a-conter-bottom']}></div>}
      <div className={styles['a-right']}></div>
    </div>
  )
}

export default Arrow
