import React, { Component } from 'react'
import ReactDOM from 'react-dom';
import PropTypes from 'prop-types'
import styles from './index.scss'
import Icon from './../Icon'

class SubMenuWrap extends Component {
  constructor(props, content) {
    super(props);
    this.el = document.createElement('div');
    this.state = {
      open: false,
    }
  }

  componentDidMount() {
    const modalRoot = document.getElementsByTagName('body');
    modalRoot[0].appendChild(this.el);
  }

  componentWillUnmount() {
    const modalRoot = document.getElementsByTagName('body');
    modalRoot[0].removeChild(this.el);
  }

  render() {
    return ReactDOM.createPortal(
      this.props.children,
      this.el,
    );
  }
}
export default SubMenuWrap;
