import React, {Component} from 'react';
import PropTypes from 'prop-types';
import styles from './index.scss';
class Option extends Component {
  constructor(props, content) {
    super(props);
  }

  handleActive = () => {
    const value = this.props.object
      ? this.props.object
      : this.props.value;
    this.props.setActiveItem(this.props.value, this.props.children, this.props.object);
  }

  componentWillMount() {
    if (this.props.activeItem == this.props.value && !this.props.fix) {
      this.props.setActiveItem(this.props.value, this.props.children);
    }
  }

  render() {
    const activeCls = this.props.activeItem == this.props.value
      ? 'car-bg-sec__vi'
      : styles['car-select-option-select'];

    let temp = {};
    for (let x in this.props) {
      if (/^data\-\w+/.test(x)) {
        temp[x] = JSON.stringify(this.props[x])
      }
    }
    const sizeStyle = this.props.size === 'small' ? {height: 24, lineHeight: '24px'} : {};
    return (<li onClick={this.handleActive} {...temp} style={sizeStyle} className={`${styles['car-select-option-item']} ${activeCls}`}>{this.props.children}</li>)
  }
}
export default Option
