import styles from './style.scss';

const Progress = (props) => {
  const { name, value } = props;
  return (
    <div className={styles['progress']}>

      <div className={styles['progress-title']}>
        <span title={name}>{name}</span>
        <span>{value}</span>
      </div>

      <div className={styles['progress-bar']}>
        <p style={{ width: value }}></p>
      </div>
    </div>
  )
}

export default Progress
