var events = []; // 事件队列

const bindEvent = (dom, e, fn) => {
  if(!dom) return;
  dom.addEventListener(e, fn)
  events.push({
    d: dom,
    e: e,
    f: fn
  })
}

const clearEvent = () => {
  events.forEach(item => {
    const { d, e, f} = item;
    d.removeEventListener(e, f)
  })
  events = []
}

export {
  bindEvent,
  clearEvent
}
