import vi from '../../vi'
import { Button, Icon, ButtonGroup, Dorpdown, DorpItem } from '../../vi'
const bmd = require('./button.md');
const Chart = () => {
  const visibleChange = (status) => {
    console.log('-----visibleChange----', status);
  }
  return (<div className="pageCon">
    <div className="pageTitle">
      Button
    </div>
    <h4 className="pageTitle2">示例：</h4>
    <p style={{ marginTop: 16, marginBottom: 16 }}>
      <Button style={{ marginRight: 16 }} type={'primary'} size={'large'}> primary large按钮</Button>
      <Button style={{ marginRight: 16 }} type={'default'} size={'large'}> default large按钮</Button>
      <Button style={{ marginRight: 16 }} type={'primary'} size={'small'}> primary small按钮</Button>
      <Button style={{ marginRight: 16 }} type={'default'} size={'small'}> default small按钮</Button>
    </p>
    <p style={{ marginTop: 16, marginBottom: 16 }}>
      <Button style={{ marginRight: 16 }} type={'primary'}>
        icon
              <Icon type={'sousuo'} />
      </Button>
      <Button style={{ marginRight: 16 }} type={'default'}>
        <Icon type={'sousuo'} />
        icon
         </Button>
    </p>

    <Button type={'primary'} disabled="disabled">禁用状态</Button>
    <div className="markdown-body" dangerouslySetInnerHTML={{ __html: bmd }} />
  </div>)
}

export default Chart
