

```javascript
...
     <DatePick
        select='section'
        jumpYear
        inputStyle={{ width: '480px' }}
        direction='right'
        sectionNum={10}
        placehold='选择日期'
        selectType={['year', 'quarter', 'month', 'week', 'day']}
        defaultValue={testDateType}
        min='2010-11-30'
        max='2019-09-20'
        dType='year'
        typeChage={this.typeChage}
        onChange={(value, type, lab) => {
          this.setState({ testDateType: value })
        }} />
...
```
### Date
参数|说明|类型|默认值
--|:--:|--:|--:
select|区分单选，区间，多点选择，必填|string|section/radio 
selectType|可选日期类型。必填|string[]|['year', 'quarter', 'month', 'week', 'day']
dType|默认展示类型，非必填，默认展示可选类型第一个|string|year/quarter/month/week/day
typeChage|日期类型改变回调，返回日期类型，非必填|function|无
onChange|日期改变回调，返回日期及日期类型，非必填|function|无
min|日期可选最小值，非必填|string(格式：'2019-08-07'）|无
max|日期可选最大值，非必填|string(格式：'2019-08-07'）|无
sectionNum|多点选择时，可选日期数量，非必填|number|4
direction|对齐方式，非必填|string|right/left

