import styles from "./style.scss";
import DatePick from "_c/Date";
import { Component } from "react";

const bmd = require("./date.md");
import getword from './getWord';

sessionStorage.setItem("lang", "en");

class Chart extends Component {
  state = {
    testDateType: "2017-02 至 2017-06",
  };

  typeChage = (value) => {
    switch (value) {
      case "month":
        this.setState({ testDateType: "" });
        break;
      case "quarter":
        this.setState({ testDateType: "" });
        break;
      case "year":
        this.setState({ testDateType: "" });
        break;
      case "week":
        this.setState({ testDateType: "" });
        break;
      case "day":
        this.setState({ testDateType: "" });
        break;
    }
    return;
  };

  render() {
    const { testDateType } = this.state;
    return (
      <div className="pageCon">
        <div className="pageTitle">日期控件 Date</div>
        <h4 className="pageTitle2">示例：</h4>
        <DatePick
          select="section"
          jumpYear
          inputStyle={{ width: "480px" }}
          direction="left"
          sectionNum={6}
          placehold="选择日期"
          selectType={["day",'month','week']}
          defaultValue={testDateType}
          min="2018-09-30"
          max="2019-09-20"
          dType="month"
          typeChage={this.typeChage}
          onChange={(value, type, lab) => {
            console.log(value);
            this.setState({ testDateType: value });
          }}
          getword={getword}
        />
        <div
          className="markdown-body"
          dangerouslySetInnerHTML={{ __html: bmd }}
        />
      </div>
    );
  }
}

export default Chart;
