import { Button, Icon, ButtonGroup, Dorpdown, DorpItem } from '../../vi';
import DorpDownMul from './../../components/DropDownMul/index';
import DorpMulItem from './../../components/DropDownMul/MulItem';
const bmd = require('./drop.md');
const Chart = () => {
    return (
        <div className="pageCon">
            <div className="pageTitle">
                下拉菜单 DropDown
            </div>
            <h4 className="pageTitle2">示例：</h4>
            <p style={{ marginTop: 16, marginBottom: 16 }}>
                <DorpDownMul
                    title='选择栏目'
                >
                    <DorpMulItem value={1}>多选1</DorpMulItem>
                    <DorpMulItem value={2}>多选2</DorpMulItem>
                </DorpDownMul>
            </p>
            <div className="markdown-body" dangerouslySetInnerHTML={{ __html: bmd }} />
        </div>)
}

export default Chart
