import styles from './style.scss'
import Tabs from '_c/Tabs'
import Pane from '_c/Tabs/Pane'
import { Component } from 'react'
const bmd = require('./tab.md');
class Chart extends Component {

  state = {
    testDateType: '2017-12'
  }

  render() {

    const { testDateType } = this.state
    return (
      <div className="pageCon">
        <div className="pageTitle">
          Tabs
       </div>
        <h4 className="pageTitle2">示例：</h4>
        <div style={{ height: 200 }}>
          <Tabs defaultValue={1} stickyTop={60} fixedTopClassName={styles.fixedTopClassName} titleStyle={{ paddingTop: 20 }}>
            <Pane title='测试一1' value={1}>
              <p>大了就可觉得困啦就饿了</p>
              <p>大了就可觉得困啦就饿了</p>
              <p style={{ height: 1500 }}>大了就可觉得困啦就饿了</p>
            </Pane>
            <Pane title='测试一2' value={2}>
              <p>大了就可觉得困啦就饿了</p>
              <p>大了就可觉得困啦就饿了</p>
              <p style={{ height: 1500 }}>大了就可觉得困啦就饿了</p>
            </Pane>
            <Pane title='测试一3' value={3}>
              <p>大了就可觉得困啦就饿了</p>
              <p>大了就可觉得困啦就饿了</p>
              <p style={{ height: 1500 }}>大了就可觉得困啦就饿了</p>
            </Pane>
          </Tabs>
        </div>
        <div className="markdown-body" dangerouslySetInnerHTML={{ __html: bmd }} />
      </div>)
  }
}

export default Chart
