import { HashRouter as Router, Route } from 'react-router-dom';

// 外层框架
import Shell from './pages/Shell';
// 日期控件
import Dates from './pages/Date';
// 图表控件
import Chart from './pages/Chart';
// 菜单
import Menu from './pages/Menu';
// 按钮
import Button from './pages/Button';
// 按钮组
import ButtonGroup from './pages/ButtonGroup';
import DropDown from './pages/DropDown';
// 图标
import Icon from './pages/Icon';
// 下拉选择框
import Select from './pages/Select';
// 标签页
import Tabs from './pages/Tabs';
// 标签
import Tag from './pages/Tag';
// 选择框
import SelectBox from './pages/SelectBox';
// Compound
import Compound from './pages/compound';
// Funnel
import Funnel from './pages/funnel';
// Loss
import Loss from './pages/Loss';
// Fiveline
import Fiveline from './pages/FiveLine';
// Graduate
import Graduate from './pages/graduate';
// Uvn
import Uvn from './pages/uvn';
import ChartPro from './pages/ChartPro';
import LossNew from './pages/LossNew'
// add
//SeriesListWithSpec
import SeriesListWithSpec from './pages/SeriesListWithSpec';
import DatePro from './pages/DatePro';
const App = () => {
  return (<Router>
    <Shell>
      {/*路由配置*/}
      <Route path="/uvn" exact={true} component={Uvn} />
      <Route path="/graduate" exact={true} component={Graduate} />
      <Route path="/FiveLine" exact={true} component={Fiveline} />
      <Route path="/LossNew" exact={true} component={LossNew} />
      <Route path="/funnel" exact={true} component={Funnel} />
      <Route path="/compound" exact={true} component={Compound} />
      <Route path="/date" exact={true} component={Dates} />
      <Route path="/chart" exact={true} component={Chart} />
      <Route path="/chartPro" exact={true} component={ChartPro} />
      <Route path="/menu" exact={true} component={Menu} />
      <Route path="/button" exact={true} component={Button} />
      <Route path="/buttonGroup" exact={true} component={ButtonGroup} />
      <Route path="/dropDown" exact={true} component={DropDown} />
      <Route path="/Icon" exact={true} component={Icon} />
      <Route path="/select" exact={true} component={Select} />
      <Route path="/tabs" exact={true} component={Tabs} />
      <Route path="/tag" exact={true} component={Tag} />
      <Route path="/selectBox" exact={true} component={SelectBox} />
      <Route path="/SeriesListWithSpec" exact={true} component={SeriesListWithSpec} />
      <Route path="/datePro" exact={true} component={DatePro} />
    </Shell>
  </Router>)
}

export default App
